# -*- coding: utf-8 -*-
from mako.lookup import TemplateLookup
from webob import Response
from hgapp import config
import os

directories = config['hg:config'].template_paths.as_list()
directories.append(os.path.join(os.path.dirname(__file__), 'templates'))

templates = TemplateLookup(
                    directories=directories,
                    output_encoding='utf8',
                    default_filters=['decode.utf8'])

def render(name, **kwargs):
    template = templates.get_template('/%s.mako' % name)
    return template.render(**kwargs)

def render_response(name, klass=Response, **kwargs):
    resp = klass()
    resp.body = render(name, **kwargs)
    return resp

