from setuptools import setup, find_packages
import sys, os

version = '0.2.0'

setup(name='MercurialApp',
      version=version,
      description="Allow to serve a mercurial repository with Paste",
      long_description=open('README.txt').read(),
      classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Topic :: Internet :: WWW/HTTP :: WSGI :: Application',
        'Topic :: Software Development :: Version Control',
        'Operating System :: POSIX',
      ],
      keywords='mercurial wsgi',
      author='Gael Pasgrimaud',
      author_email='gael@gawel.org',
      url='http://www.gawel.org/docs/MercurialApp/index.html',
      license='MIT',
      packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
      namespace_packages=['hgapp'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          # -*- Extra requirements: -*-
          'setuptools',
          'zc.buildout',
          'zc.recipe.egg',
          'PasteScript',
          'WebOb>=0.9.8',
          'Mercurial>=1.5',
          'repoze.what.plugins.ini',
          'ConfigObject>=1.0',
          'pyquery',
          'restkit==1.2.1',
          'SaladeDeFruits>=0.7',
          'Sphinx>=0.6.3',
          'Mako',
      ],
      entry_points="""
      # -*- Entry points: -*-
      [paste.app_factory]
      main = hgapp.pool:make_app
      skin = hgapp.skin:make_skinned_app
      [paste.filter_app_factory]
      main = hgapp.what:make_ini
      [console_scripts]
      hgapp = hgapp.script:main
      hgapp-admin = hgapp.script:admin
      hgapp-ssh = hgapp.ssh.shell:main
      hgapp-keys = hgapp.script:ssh_keys
      """,
      )
